Bug 158500 - installer incorrectly configures fstab
installer incorrectly configures fstab
Status: CLOSED DUPLICATE of bug 158499
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-22 22:30 EDT by Adam Hitchcock
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 09:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Hitchcock 2005-05-22 22:30:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/412 (KHTML, like Gecko) Safari/412

Description of problem:
Installation completes correctly, however, upon attempting to mount the / partition it gives the error

>Checking filesystems  [ FAIL ]
>fsck.ext3: Unable to resolve 'LABEL=/'

in /etc/fstab line 1
LABEL=/   /   ext3 defaults 1 1
should be:
/dev/hdaX   /   ext3 defaults 1 1
(where X is where / is located)

to fix from the recovery prompt you must remount the / partition in read/write mode, edit /etc/fstab, 
remount / in read only, reboot.
to do this do thus:
1. enter password
2. $> mount -o remount,rw /
3. $> vi /etc/fstab
4. change LABEL=/ to just have it pointing to /dev/hdaX 
5. $> mount -o remount,ro /
6. $> Ctrl-D

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install fedora core 4 test 3
2. let machine reboot
3. see error
  

Actual Results:  Checking filesystems  [ FAIL ]
>fsck.ext3: Unable to resolve 'LABEL=/'

in /etc/fstab line 1
LABEL=/   /   ext3 defaults 1 1

Expected Results:  The machine should finish the booting normally.

in /etc/fstab line 1
/dev/hdaX   /   ext3 defaults 1 1
(where X is where / is located)

Additional info:

I have only tried this on my iBook 500 dual usb thus far, I will attempt to reproduce it on on other PPC 
machines.
Comment 1 Paul Nasrat 2005-05-23 09:56:53 EDT

*** This bug has been marked as a duplicate of 158499 ***

Note You need to log in before you can comment on or make changes to this bug.